- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

- All
- Variables

- a
- c
- d
- e
- i
- l
- n
- o
- p
- r
- s
- v

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- abi_bw_compatibility : cp_plugin_info_t
- api_bw_compatibility : cp_plugin_info_t
- atts : cp_cfg_element_t

### - c -

- children : cp_cfg_element_t
- configuration : cp_extension_t
- create : cp_plugin_runtime_t

### - d -

- destroy : cp_plugin_runtime_t

### - e -

- ext_point_id : cp_extension_t
- ext_points : cp_plugin_info_t
- extensions : cp_plugin_info_t

### - i -

- identifier : cp_plugin_info_t , cp_extension_t , cp_ext_point_t
- imports : cp_plugin_info_t
- index : cp_cfg_element_t

### - l -

- local_id : cp_extension_t

### - n -

- name : cp_plugin_info_t , cp_ext_point_t , cp_extension_t , cp_cfg_element_t
- num_atts : cp_cfg_element_t
- num_children : cp_cfg_element_t
- num_ext_points : cp_plugin_info_t
- num_extensions : cp_plugin_info_t
- num_imports : cp_plugin_info_t

### - o -

- optional : cp_plugin_import_t

### - p -

- parent : cp_cfg_element_t
- plugin : cp_extension_t , cp_ext_point_t
- plugin_id : cp_plugin_import_t
- plugin_path : cp_plugin_info_t
- provider_name : cp_plugin_info_t

### - r -

- req_cpluff_version : cp_plugin_info_t
- runtime_funcs_symbol : cp_plugin_info_t
- runtime_lib_name : cp_plugin_info_t

### - s -

- schema_path : cp_ext_point_t
- start : cp_plugin_runtime_t
- stop : cp_plugin_runtime_t

### - v -

- value : cp_cfg_element_t
- version : cp_plugin_info_t , cp_plugin_import_t

Generated on Fri Apr 6 15:40:55 2007 for C-Pluff C API by 1.5.1